Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class OOXMLrels

    java.lang.Object
      OOXMLconvert.OOXMLrels

    public class OOXMLrels

extends java.lang.Object

Field Summary
`private static int` | `basicRels`
`java.io.File` | `commentsFile` umiestnenie komentárov
`java.io.File` | `endnotesFile` umiestnenie endnotes
`java.io.File` | `footnotesFile` umiestnenie footnotes
`java.util.HashMap<java.lang.String,java.lang.String>` | `hyperlinks` zoznam hyperliniek
`java.util.HashMap<java.lang.String,java.io.File>` | `imgFiles` umiestnenie obrázkov
`java.io.File` | `mainDoc` umiestnenie hlavneho dokumentu
`private static int` | `mainDocRels`
`java.io.File` | `numberingFile` umiestnenie cislovania
`java.util.HashMap<java.lang.String,java.io.File>` | `numberingsImgFiles` umiestnenie obrázkov číslovania
`private static int` | `numberingsRels`
`private static java.lang.String` | `ps`
`java.io.File` | `stylesFile` umiestnenie stylov
`java.io.File` | `themeFile` umiestnenie theme

Constructor Summary
`OOXMLrels()` Konštruktor

Method Summary
`private boolean` | `addRel(int relType, java.lang.String id, java.lang.String type, java.lang.String target, java.lang.String targetMode)` Funkcia prečíta vzťah a ak treba, tak ho uloží.
`private java.io.File` | `getFileFromDOCX(java.lang.String relativePath)` Funkcia vráti k relatívnej ceste v štruktúre dokumentu súbor
`private java.io.File` | `getFileFromMainDoc(java.lang.String relativePath)` Funkcia vráti k relatívnej ceste v adresári hlavného dokumentu súbor
`private boolean` | `readDocumentRelationships()` Funkcia prečíta vzťahy k hlavnému dokumentu.
`private boolean` | `readNumberingsRelationships()` Funkcia prečíta vzťahy k numberings.
`private boolean` | `readRelationships()` Funkcia prečíta základné vzťahy v dokumente.
`boolean` | `readRels()` Funkcia prečíta všetky potrebné vzťahy

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ps

    private static final java.lang.String ps

### basicRels

    private static final int basicRels

See Also:
  Constant Field Values

### mainDocRels

    private static final int mainDocRels

See Also:
  Constant Field Values

### numberingsRels

    private static final int numberingsRels

See Also:
  Constant Field Values

### mainDoc

    public java.io.File mainDoc

  umiestnenie hlavneho dokumentu

### stylesFile

    public java.io.File stylesFile

  umiestnenie stylov

### numberingFile

    public java.io.File numberingFile

  umiestnenie cislovania

### footnotesFile

    public java.io.File footnotesFile

  umiestnenie footnotes

### endnotesFile

    public java.io.File endnotesFile

  umiestnenie endnotes

### commentsFile

    public java.io.File commentsFile

  umiestnenie komentárov

### themeFile

    public java.io.File themeFile

  umiestnenie theme

### imgFiles

    public java.util.HashMap<java.lang.String,java.io.File> imgFiles

  umiestnenie obrázkov

### numberingsImgFiles

    public java.util.HashMap<java.lang.String,java.io.File> numberingsImgFiles

  umiestnenie obrázkov číslovania

### hyperlinks

    public java.util.HashMap<java.lang.String,java.lang.String> hyperlinks

  zoznam hyperliniek

Constructor Detail

### OOXMLrels

    public OOXMLrels()

  Konštruktor

Method Detail

### addRel

    private boolean addRel(int relType,
                           java.lang.String id,
                           java.lang.String type,
                           java.lang.String target,
                           java.lang.String targetMode)

  Funkcia prečíta vzťah a ak treba, tak ho uloží.

  Parameters:
    `id` - id atribút
    `type` - type atribút
    `target` - target atribút
  Returns:
    true ak nenastala chyba, false inak

### getFileFromDOCX

    private java.io.File getFileFromDOCX(java.lang.String relativePath)

  Funkcia vráti k relatívnej ceste v štruktúre dokumentu súbor

  Parameters:
    `relativePath` - relatívna cesta k súboru
  Returns:
    súbor

### getFileFromMainDoc

    private java.io.File getFileFromMainDoc(java.lang.String relativePath)

  Funkcia vráti k relatívnej ceste v adresári hlavného dokumentu súbor

  Parameters:
    `relativePath` - relatívna cesta k súboru
  Returns:
    súbor

### readRelationships

    private boolean readRelationships()

  Funkcia prečíta základné vzťahy v dokumente.

  Returns:
    true ak nenastala chyba, false inak

### readDocumentRelationships

    private boolean readDocumentRelationships()

  Funkcia prečíta vzťahy k hlavnému dokumentu.

  Returns:
    true ak nenastala chyba, false inak

### readNumberingsRelationships

    private boolean readNumberingsRelationships()

  Funkcia prečíta vzťahy k numberings.

  Returns:
    true ak nenastala chyba, false inak

### readRels

    public boolean readRels()

  Funkcia prečíta všetky potrebné vzťahy

  Returns:
    true ak nenastala chyba, false inak

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD